View Issue Details

IDProjectCategoryView StatusLast Update
0000002Slicer3Command Line Modules (Applications/CLI)public2007-02-12 13:19
ReportermillerjvAssigned Toalexy 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Summary0000002: Overwriting existing model nodes with new geometry causes crashes
Description

When a command line module puts a model back into the scene, Slicer crashes if that model node already had geometry.

Additional Information

An error reported on linux indicates that memory is being deleted twice. I question whether the MRML scene is managing the reference counts properly.

TagsNo tags attached.

Activities

alexy

alexy

2007-01-24 06:25

developer   ~0000011

Jim, could you give more details on how to reproduce this crash.

millerjv

millerjv

2007-01-24 07:25

developer   ~0000013

Alex,

If I run the grayscale modelmaker to produce a model, and then run it a second time using the same output node, Slicer will sometimes crash. I have seen this on Windows and Linux.

alexy

alexy

2007-01-24 09:01

developer   ~0000016

Jim, for some reason I don't see GrayscaleModelmaker module in the slicer modules list, I can see it in the source and in the build. I see other CLI modules in Slicer.

pieper

pieper

2007-02-05 11:12

administrator   ~0000033

Should be fixed now - as of 2442.

Committed revision 2442.

Issue History

Date Modified Username Field Change
2007-01-19 04:34 millerjv New Issue
2007-01-19 05:02 pieper Assigned To => alexy
2007-01-19 05:02 pieper Status new => assigned
2007-01-24 06:25 alexy Note Added: 0000011
2007-01-24 07:25 millerjv Note Added: 0000013
2007-01-24 09:01 alexy Note Added: 0000016
2007-02-05 11:12 pieper Note Added: 0000033
2007-02-05 11:12 pieper Resolution open => fixed
2007-02-12 13:19 hayes Status assigned => closed